#ifndef GERMANAIRLINESVA_GACONNECTOR_SIMDATA_H
#define GERMANAIRLINESVA_GACONNECTOR_SIMDATA_H

#include <fstream>
#include <map>
#include <string>

#include "gate.h"
#include "runway.h"
#include "util.hpp"

namespace germanairlinesva_simdata
{
  int scan(
      const char *defaultFile,
      const char *sceneryPack,
      const char *logFile,
      std::map<std::string, std::pair<std::vector<Gate>, std::vector<Runway>>>
          &airports);

  void makeAirport(
      const std::string &kind,
      std::ifstream *infile,
      std::map<std::string, std::pair<std::vector<Gate>, std::vector<Runway>>>
          *airports,
      std::ofstream *logfile);
  void makeGate15(std::vector<Gate> *gates, std::vector<std::string> fields);
  void makeRunway(std::vector<Runway> *runways,
                  std::vector<std::string> fields);
  void makeGate1300(std::vector<Gate> *gates, std::vector<std::string> fields);

} // namespace germanairlinesva_simdata

#endif